/**
 * Copyright 2010 The Regents of the University of California
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on
 * an "AS IS"; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under
 * the License.
 * 
 * Author: Rares Vernica <rares (at) ics.uci.edu>
 */

package edu.uci.ics.fuzzyjoin.tokenorder;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;

public class TokenLoad {
    private final String path;
    private final TokenRank rank;

    public TokenLoad(String path, TokenRank rank) {
        this.path = path;
        this.rank = rank;
    }

    public void loadTokenRank() {
        try {
            BufferedReader fis = new BufferedReader(
            // new FileReader(path.toString())
                    new InputStreamReader(new FileInputStream(path), "UTF-8"));
            String token = null;
            while ((token = fis.readLine()) != null) {
                rank.add(token);
            }
        } catch (IOException ioe) {
            throw new RuntimeException(ioe);
        }
    }
}